Jump to content
TrinityCore
Sign in to follow this  
Agrikk

Upgrading database from 7.3.5 to 8.1.5?

Recommended Posts

How do I apply the SQL update files located in SQL\updates to bring my server up from 7.3.5 to 8.1.5?

 

 

I have downloaded the current master branch(8.1.5.30706), compiled it using vmaps, mmaps, gt, dbc and cameras files extracted from the latest retail client (8.1.5 30706). When I launch worldserver.exe I see it populating the databases from the included SQL files (TDB_world_735.00_2018_02_19.sql and TDB_hotfixes_735.00_2018_02_19.sql).

The problem is that when I then exit and restart worldserver.exe I get about 80,000 errors like the following:

SmartAIMgr::LoadSmartAIFromDB: Entry 18931 SourceType 0, Event 3, Link Source Event not found or invalid. Event will never trigger.

SmartAIMgr: Entry 2225800 SourceType 9 Event 7 Action 11 uses non-existent Spell entry 38679, skipped.

TSCR: DB table script_waypoint has waypoint for creature entry 17238, but creature does not have ScriptName defined and then useless.

Table `waypoint_scripts` uses deprecated direct updatefield modify command SCRIPT_COMMAND_FIELD_SET_DEPRECATED for script id 463

Scriptname: `spell_hun_improved_mend_pet` spell (Id: -19572) does not exist.

etc

 

I can log in to the server and create a new character, but the game is broken (no exclamation points showing for quests, can't cast spells, etc). When I run SELECT * FROM 'VERSION'  my database version is still 7.3.5 even though I see in the SQL\updates folders there are .sql files that look like they'll update the version of my databases to 8.1.5. But when I attempt to execute them I get SQL errors so I don't think I am applying these update files correctly.

Help, please?

 

Share this post


Link to post
Share on other sites

If you can not apply the updates .sql is because you are using mysql 5.5, you need to update to mysql 5.6 and re-create the database.

But a lot of work is still missing for a DB 8.1.5.
From what I have tried, the "Pandaren" have npcs but do not have quests, and the "Demon Hunter" do not have npcs (the classic races seem to work a little better).

Good luck
;)

Share this post


Link to post
Share on other sites

I am using MySQL 5.6.

Can you tell me more about how to apply the updates?  In the four folders (auth, world, characters and hotfixes) there are over three hundred files. I can't imagine that I'm supposed to execute each file one at a time in MySQL Workbench.  How am I supposed to apply these?

 

Share this post


Link to post
Share on other sites

Modify the configuration files in the following way:
(specifying the path of the Source folder (downloaded via git)
)


bnetserver.conf
SourceDirectory  = "D:/Source815example/"
Updates.EnableDatabases = 1

worldserver.conf
SourceDirectory  = "D:/Source815example/"
Updates.EnableDatabases = 15

Run the server and the updates will be autoapplied .

Share this post


Link to post
Share on other sites
7 hours ago, Agrikk said:

How do I apply the SQL update files located in SQL\updates to bring my server up from 7.3.5 to 8.1.5?

 

 

I have downloaded the current master branch(8.1.5.30706), compiled it using vmaps, mmaps, gt, dbc and cameras files extracted from the latest retail client (8.1.5 30706). When I launch worldserver.exe I see it populating the databases from the included SQL files (TDB_world_735.00_2018_02_19.sql and TDB_hotfixes_735.00_2018_02_19.sql).

The problem is that when I then exit and restart worldserver.exe I get about 80,000 errors like the following:

SmartAIMgr::LoadSmartAIFromDB: Entry 18931 SourceType 0, Event 3, Link Source Event not found or invalid. Event will never trigger.

SmartAIMgr: Entry 2225800 SourceType 9 Event 7 Action 11 uses non-existent Spell entry 38679, skipped.

TSCR: DB table script_waypoint has waypoint for creature entry 17238, but creature does not have ScriptName defined and then useless.

Table `waypoint_scripts` uses deprecated direct updatefield modify command SCRIPT_COMMAND_FIELD_SET_DEPRECATED for script id 463

Scriptname: `spell_hun_improved_mend_pet` spell (Id: -19572) does not exist.

etc

 

I can log in to the server and create a new character, but the game is broken (no exclamation points showing for quests, can't cast spells, etc). When I run SELECT * FROM 'VERSION'  my database version is still 7.3.5 even though I see in the SQL\updates folders there are .sql files that look like they'll update the version of my databases to 8.1.5. But when I attempt to execute them I get SQL errors so I don't think I am applying these update files correctly.

Help, please?

 

leave core to do the job, it will import all needed updates, the version is 7.3.5 because there is no full 8.1.5 database.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...